cascading.flow.tez.planner

## Class Hadoop2TezPlanner

- java.lang.Object
- - cascading.flow.planner.FlowPlanner<Hadoop2TezFlow,org.apache.tez.dag.api.TezConfiguration>
  - - cascading.flow.tez.planner.Hadoop2TezPlanner

-     public class Hadoop2TezPlanner
      extends FlowPlanner<Hadoop2TezFlow,org.apache.tez.dag.api.TezConfiguration>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `Hadoop2TezPlanner.IntermediateBoundaryElementFactory`

    - ### Nested classes/interfaces inherited from class cascading.flow.planner.FlowPlanner

      `FlowPlanner.IdentityElementFactgory, FlowPlanner.TempTapElementFactory`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PLATFORM_NAME`

    - ### Fields inherited from class cascading.flow.planner.FlowPlanner

      `checkpointTapRootPath, defaultAssertionLevel, defaultDebugLevel, defaultProperties, TRACE_PLAN_PATH, TRACE_PLAN_TRANSFORM_PATH, TRACE_STATS_PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Hadoop2TezPlanner()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configRuleRegistryDefaults(RuleRegistry ruleRegistry)`
    `static void` | `copyConfiguration(java.util.Map<java.lang.Object,java.lang.Object> properties, org.apache.hadoop.conf.Configuration configuration)`
    `static void` | `copyProperties(org.apache.hadoop.conf.Configuration jobConf, java.util.Map<java.lang.Object,java.lang.Object> properties)`
    `static org.apache.tez.dag.api.TezConfiguration` | `createConfiguration(java.util.Map<java.lang.Object,java.lang.Object> properties)`
    `protected Hadoop2TezFlow` | `createFlow(FlowDef flowDef)`
    `org.apache.tez.dag.api.TezConfiguration` | `getDefaultConfig()`
    `java.net.URI` | `getDefaultURIScheme(Tap tap)`
    `FlowStepFactory<org.apache.tez.dag.api.TezConfiguration>` | `getFlowStepFactory()`
    `PlannerInfo` | `getPlannerInfo(java.lang.String registryName)`
    `PlatformInfo` | `getPlatformInfo()`
    `java.net.URI` | `getURIScheme(Tap tap)`
    `void` | `initialize(FlowConnector flowConnector, java.util.Map<java.lang.Object,java.lang.Object> properties)`
    `protected Tap` | `makeTempTap(java.lang.String prefix, java.lang.String name)`

    - ### Methods inherited from class cascading.flow.planner.FlowPlanner

      `buildFlow, createFlowElementGraph, getAssertionLevel, getDebugLevel, getDefaultProperties, getFlowNodeFactory, handleExceptionDuringPlanning, makeTempTap, resolveAssemblyPlanners, resolveTails, verifyAllTaps, verifyAssembly, verifyCheckpoints, verifyPipeAssemblyEndPoints, verifyResult, verifyResultInternal, verifySourceNotSinks, verifyTaps, verifyTraps`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PLATFORM_NAME

          public static final java.lang.String PLATFORM_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Hadoop2TezPlanner

          public Hadoop2TezPlanner()

  - ### Method Detail

    - #### copyConfiguration

          public static void copyConfiguration(java.util.Map<java.lang.Object,java.lang.Object> properties,
                               org.apache.hadoop.conf.Configuration configuration)

    - #### createConfiguration

          public static org.apache.tez.dag.api.TezConfiguration createConfiguration(java.util.Map<java.lang.Object,java.lang.Object> properties)

    - #### copyProperties

          public static void copyProperties(org.apache.hadoop.conf.Configuration jobConf,
                            java.util.Map<java.lang.Object,java.lang.Object> properties)

    - #### getPlannerInfo

          public PlannerInfo getPlannerInfo(java.lang.String registryName)

      Specified by:
        `getPlannerInfo` in class `FlowPlanner<Hadoop2TezFlow,org.apache.tez.dag.api.TezConfiguration>`

    - #### getDefaultConfig

          public org.apache.tez.dag.api.TezConfiguration getDefaultConfig()

      Specified by:
        `getDefaultConfig` in class `FlowPlanner<Hadoop2TezFlow,org.apache.tez.dag.api.TezConfiguration>`

    - #### getPlatformInfo

          public PlatformInfo getPlatformInfo()

      Specified by:
        `getPlatformInfo` in class `FlowPlanner<Hadoop2TezFlow,org.apache.tez.dag.api.TezConfiguration>`

    - #### initialize

          public void initialize(FlowConnector flowConnector,
                        java.util.Map<java.lang.Object,java.lang.Object> properties)

      Overrides:
        `initialize` in class `FlowPlanner<Hadoop2TezFlow,org.apache.tez.dag.api.TezConfiguration>`

    - #### configRuleRegistryDefaults

          public void configRuleRegistryDefaults(RuleRegistry ruleRegistry)

      Overrides:
        `configRuleRegistryDefaults` in class `FlowPlanner<Hadoop2TezFlow,org.apache.tez.dag.api.TezConfiguration>`

    - #### createFlow

          protected Hadoop2TezFlow createFlow(FlowDef flowDef)

      Specified by:
        `createFlow` in class `FlowPlanner<Hadoop2TezFlow,org.apache.tez.dag.api.TezConfiguration>`

    - #### getFlowStepFactory

          public FlowStepFactory<org.apache.tez.dag.api.TezConfiguration> getFlowStepFactory()

      Specified by:
        `getFlowStepFactory` in class `FlowPlanner<Hadoop2TezFlow,org.apache.tez.dag.api.TezConfiguration>`

    - #### getDefaultURIScheme

          public java.net.URI getDefaultURIScheme(Tap tap)

    - #### getURIScheme

          public java.net.URI getURIScheme(Tap tap)

    - #### makeTempTap

          protected Tap makeTempTap(java.lang.String prefix,
                        java.lang.String name)

      Specified by:
        `makeTempTap` in class `FlowPlanner<Hadoop2TezFlow,org.apache.tez.dag.api.TezConfiguration>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.